Προς το περιεχόμενο
Συνδεθείτε  
Hawk_K

Διαγραφή διπλής εφαρμογής

Προτεινόμενες αναρτήσεις

Παραθέτω το προβλημά μου με βάση μια προτεινόμενη φόρμα που είχα δει, αν όντως βοηθάει περισσότερο.

Διανομη λινουξ (+ εκδοση, + DE ) : Pop!_OS 20.04 LTS
Υπαρξη dual boot (αν ναι , τι λειτουργικα) : όχι
Κατασταση ενημερωσεων : full updated
Επιπεδο γνωσεων λινουξ : αρχάριος
Επιπεδο γνωσεων Αγγλικων : άριστο
Ενεργειες που εχουν γινει (πριν & μετα το προβλημα) : εγκατάσταση του προγράμματος με deb file και ύστερα μέσω flatpack
Ενεργειες που εγιναν για την επιλυση του :  εντολές στο terminal, sudo apt-get purge viber, sudo apt-get remove viber, sudo apt-get --purge remove viber

Περιγραφη του προβληματος (οσο πιο αναλυτικα γινεται) :

To πρόβλημα είναι το εξής. Ήθελα να εγκαταστήσω το viber για το desktop. Δεν πίστευα ότι θα υπάρχει στο repository το οποίο δίνει η διανομή και μπήκα στο site τους κατέβασα το deb file, βάρεσα και τις παρακάτω εντολές γιατί έβγαζε ένα μήνυμα και η λύση που googlαρα ήταν αυτή  και όλα καλά.

$ wget http://archive.ubuntu.com/ubuntu/pool/main/o/openssl1.0/libssl1.0.0_1.0.2n-1ubuntu6.2_amd64.deb
$ sudo dpkg -i libssl1.0.0_1.0.2n-1ubuntu6.2_amd64.deb 

Έπειτα συνηδειτοποίησα πως υπάρχει και μέσω flatpak η συγκεκριμένη εφαρμογή στο pop_shop και πριν την εγκαταστήσω προσπάθησα να κάνω απεγκατάσταση το υπάρχον. Μου βγάζει το μήνυμα της εικόνας.

Οπότε πλέον αφού έκανα εγκατάσταση από περιέργεια και την εφαρμογή μέσω flatpak, έχω το viber 2 φορές στον υπολογιστή μου , το οποίο μπορεί να ανοίξει ανεξάρτητα από τα 2 διαφορετικά shortcuts που υπάρχουν στο gnome.

Εγώ θέλω να σβήσω την εφαρμογή που εγκατέστησα μέσω deb για να ελέγχο την αναβάθμισή του πιο εύκολα. Τι πρέπει να κάνω;

Είχα πάθει το ίδιο και με το spotify, αλλά η εντολή sudo apt-get purge spotify, είχε δουλέψει και απλά μετά το εγκατέστησα μέσω flatpak.

Screenshot from 2020-06-17 19-39-29.png

Κοινοποιήστε αυτήν την ανάρτηση


Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες
Δημοσ. (επεξεργασμένο)

Αρχικα συνηθισε την εντολη "apt" απο την εντολη "apt-get". Δοκιμασε τις εντολες μετα :

sudo apt purge viber*

ή
 

sudo apt remove viber*

ωστε να πιασει ολα τα παραγωγα του viber.Σαν ονομασια εννοω.Υποθετουμε οτι η εγκατασταση του αρχειου που κατεβασες απο το σαιτ εγινε με :
 

sudo dpkg -i viber.deb

Προσωπικα παντως θα κρατουσα το deb πακετο απο το flatpak.Εκτος και αν εχουν καμμια σημαντικη διαφορα στις εκδοσεις υπερ του flatpak.

Eπισης μπορεις να κανεις ενα :
 

apt search viber* |grep install

για να δεις αν υπαρχει οντως πακετο με τετοιο ονομα εγκατεστημενο..

Επεξ/σία από mphxths
  • Like 1

Κοινοποιήστε αυτήν την ανάρτηση


Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες

Θα σου πρότεινα να βγάλεις την flatpack έκδοση και κράτα την deb.

Δε γνωρίζω τη διανομή ,αλλά γραφικό package manager δεν έχει? To synaptic πχ είναι αρκετά διαδεδομένο

Κοινοποιήστε αυτήν την ανάρτηση


Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες

Ευχαριστώ για τις απαντήσεις.

Αρχικά να πω πως έκανα unistall την εφαρμογή από το flatpak. Παρόλα αυτά, οι εντολές που γράφει ο @mphxths είχαν το ίδιο αποτέλεσμα, could not found κτλ. Ακόμη και η εντολη για το search.\

Γιατί προτείνετε την εφαρμογή μέσω του deb αρχείου;

Επίσης, η εφαρμογή μέσω deb ανοίγει μέχρι το σημείο που ζητάει ταυτοποίηση του κινητού, μετά δεν προχωράει παρακάτω, ίσως να έχει πειραχτεί κάτι από τα διάφορα purge κτλ.

Κοινοποιήστε αυτήν την ανάρτηση


Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες
Δημοσ. (επεξεργασμένο)
1 ώρα πριν, Hawk_K είπε

Γιατί προτείνετε την εφαρμογή μέσω του deb αρχείου;

Κοιτα να δεις.Οι σοβαρες εταιριες , οταν κατεβαζεις το deb πακετο απο το σαιτ τους , κατα την διαδικασια εγκαταστασης του , προστιθεται και το αντιστοιχο repo στο συστημα , ωστε οταν κανει καποιος ελεγχο για ενημερωσεις στο συστημα , τσεκαρεται και αυτο το repo και  ενημερωνεται και η εφαρμογη της εταιριας.
Κατι τετοιο γινεται για παραδειγμα με τον chrome. Οποτε ο χρηστης γλυτωνει τα πηγαινε-ελα στο σαιτ της εταιριας για να κατεβαζει την νεα εκδοση.
Δοκιμασα να εγκαταστησω το viber σε μια εγκατασταση ubuntu που εχω (η βαση του pop_os στην ουσια).Δυστυχως δεν προσθετει το δικο του ρεπο , αρα αν χρειαστει ενημερωση θα πρεπει καποιος να πηγαινει στο σαιτ και να τσεκαρει αν υπαρχει νεα εκδοση και να την κατεβαζει.
Εδω υπερτερει το flatpak πακετο , που μπορει καποιος να το ενημερωσει απο το flatpak συστημα της διανομης του.Απο την αλλη , συγκεκριμενα για το viber , η εκδοση του deb πακετου ειναι 12.x.x.x , ενω η εκδοση του flatpak πακετου ειναι 11.9. Eδω υπερτερει το deb πακετο.

Θα προτεινα να ξανα-κανεις εγκατασταση το deb πακετο και να δεις αν λειτουργει κανονικα μετα.Ανοιγεις τερματικο , πας στον φακελο που κατεβασες το deb και σκας ενα :
 

sudo dpkg -i viber.deb

και ο Θεος μαζι σου :)

ΥΓ : εγκαθιστω και ενα pop_os να δω τι διαφοροποιειται , αν και υποπτευομαι οχι πολλα.

YΓ 2 : ακομα δεν τελειωσε η εγκατασταση του pop_os , αλλα διαβαζω οτι το viber υπαρχει στο store που εχει η διανομη , για δοκιμασε να το εγκαταστησεις απο κει.

YΓ 3 : ακυρο αυτο με το store . Στην ουσια το flatpak πακετο παει και βρισκει.

Επεξ/σία από mphxths

Κοινοποιήστε αυτήν την ανάρτηση


Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες
Δημοσ. (επεξεργασμένο)

Λοιπον τα βηματα που ακολουθησα σε Pop_Os 20.04

1. κατεβασα το viber.deb
2. κατεβασα το http://archive.ubuntu.com/ubuntu/pool/main/o/openssl1.0/libssl1.0.0_1.0.2n-1ubuntu5.3_amd64.deb (στο 1ο ποστ η ονομασια ειναι λαθος , ξερω οτι ετσι κυκλοφορει σε καποια σαιτς αλλα τετοια εκδοση δεν υπαρχει.Καποια στιγμη θα πρεπει το viber να αρχιζει να υποστηριζει το νεο libssl).
3. εσκασα ενα "nano /etc/apt/sources.list" και αλλαξα οπου εβλεπα "us.archive..." σε "gr.archive....". Aυτο το εκανα για 2 λογους. 1ον για ταχυτητα και 2ον γιατι δεν εβρισκε καποια αρχεια που ηθελε το viber στο αμερικανικο repo.
4. Εγκατεστησα το αρχειο του βηματος 2 , κλασικα με "sudo dpkg -i libssl1.0.0_1.0.2n-1ubuntu5.3_amd64.deb" , απο τερματικο και εχοντας "μπει" στον φακελο που το κατεβασα.
5. Ετρεξα "sudo dpkg -i viber.deb" , κλασικα απο τερματικο και εχοντας "μπει" στον φακελο που το κατεβασα.
6. Το βημα (5) εβγαλε οτι λειπουν εξαρτησεις. Για να διορθωθει η κατασταση εσκασα ενα "sudo apt install -f".Αυτο εγκατεστησε τις εξαρτησεις αλλα οχι το πακετο viber , οποτε επανελαβα το βημα (5) το οποιο πλεον ολοκληρωθηκε επιτυχως.
7. Δοκιμαστηκε οτι εκκινει το viber αλλα δεν προχωρησα σε σεταρισμα του , οποτε δεν ξερω αν λειτουργει οντως σωστα. Ισως το οτι ακομα υποστηριζει το παλιο libssl1.0 να δημιουργει προβληματα συνδεσιμοτητας και ορθης λειτουργιας..δεν ξερω.

Επεξ/σία από mphxths

Κοινοποιήστε αυτήν την ανάρτηση


Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες

Καλημέρα, 

Θα δοκιμάσω το απόγευμα στο σπίτι αυτά που γράψατε παραπάνω.

Η λογική που ήθελα μέσω του repo της διανομής να κάνω εν τέλει την εγκατάσταση έχει να κάνει με την αναβάθμιση κυρίως καθώς παρατήρησα αυτό που λες και εσύ, ότι δηλαδή δεν φαίνετια κάπου αυτή η εγκατάσταση μέσα στο repo. Σόρρυ αν δεν το έγραψα καλά πριν, για flatpak έκδοση εννοούσα ότι την έβαζα μέσα από το pop_shop.

Όπως είπα αρχικά, όταν έκανα το ίδιο με το Spotify, αφενώς διαγράφτηκε εύκολα με 1-2 εντολές στο τερματικό, αλλά επίσης στο repo έβλεπα 2 εφαρμογες με το ίδιο όνομα κάτι που δεν συμβαίνει τώρα. 

Τώρα έχω κάνει unistall και την flatpak έκδοση για να προσπαθήσω να σβήσω πρώτα το deb και μετά θα το ξαναεγκαταστήσω. 

Κοινοποιήστε αυτήν την ανάρτηση


Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες

Τώρα που έχει σβηστεί η flatpack, μπορείς ν' ανοίξεις το viber? Αν όχι τότε πιθανότατα έχει γίνει απεγκατάσταση αλλά ίσως να έχουν μείνει οι συντομεύσεις. Καλύτερα λοιπόν να δοκιμάσεις να το επανεγκαταστήσεις πρώτα.

Κοινοποιήστε αυτήν την ανάρτηση


Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες
Δημοσ. (επεξεργασμένο)
30 λεπτά πριν, dancer_69 είπε

Τώρα που έχει σβηστεί η flatpack, μπορείς ν' ανοίξεις το viber? Αν όχι τότε πιθανότατα έχει γίνει απεγκατάσταση αλλά ίσως να έχουν μείνει οι συντομεύσεις. Καλύτερα λοιπόν να δοκιμάσεις να το επανεγκαταστήσεις πρώτα.

Χθες που το δοκίμασα, έγινε αυτό που έγραψ απαραπάνω. Δηλαδή ανοίγει μέχρι το σημείο που κάνεις μία ταυτοποίηση με το κινητό και μετά δεν προχωράει.

Άρα να κάνω επανεγκατάσταση το deb και να προσπαθήσω την διαγραφή μετά;

Επεξ/σία από Hawk_K

Κοινοποιήστε αυτήν την ανάρτηση


Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες

Οπότε είναι ακόμη εγκατεστημένο. Αυτό με την ταυτοποίηση δε νομίζω ότι είναι θέμα της εγκατάστασης. Εγώ δεν είχα πρόβλημα όταν το εγκατέστησα πριν 1-2 μήνες. Έχω την έκδοση 12 από το site τους. Δοκίμασε να κάνεις επανεγκατάσταση πρώτα, μήπως διορθωθεί έτσι. Επίσης δοκίμασε να διαγράψεις και το φάκελο .ViberPC. Ο φάκελος αυτός βρίσκεται στο φάκελο του χρήστη σου αλλά είναι κρυφός, οπότε πρέπει να ενεργοποιήσεις την προβολή κρυφων αρχείων/φακέλων(αυτό γίνεται και με ctrl+h, σε κάποιους file managers). Δες επίσης(επειδή έβαλες και το πακέτο flatpak) μήπως υπάρχει φάκελος για το viber και μέσα στο φάκελο .config(επίσης κρυφός) και διέγραψέ τον και αυτόν αν υπάρχει. Έτσι θα επανέλθουν οι εργοστασιακές ρυθμίσεις της εφαρμογής, οπότε ίσως αυτό βοηθήσει με το πρόβλημα της ταυτοποίησης.

Κοινοποιήστε αυτήν την ανάρτηση


Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες
Δημοσ. (επεξεργασμένο)
2 ώρες πριν, Hawk_K είπε

Η λογική που ήθελα μέσω του repo της διανομής να κάνω εν τέλει την εγκατάσταση έχει να κάνει με την αναβάθμιση κυρίως καθώς παρατήρησα αυτό που λες και εσύ, ότι δηλαδή δεν φαίνετια κάπου αυτή η εγκατάσταση μέσα στο repo.

Ειναι αυτο που εγραψα παραπανω. Οτι καποιες εφαρμογες καταδεχονται να ασχοληθουν να φτιαξουν δικο τους ρεπο. Ωστε η εγκατασταση και κυριως η ενημερωση να ειναι απλη υποθεση. Στο spotify που αναφερθηκες , αν δεις εδω , υπαρχει ρεπο της εταιριας απο οπου γινεται η ολη δουλεια. Στον chrome που αναφερθηκα και προηγουμενως , το ρεπο προστιθεται αυτοματα με την εγκατασταση του deb πακετου.
Δυστυχως το ιδιο δεν ισχυει για το viber. Παραυτα , ακομα και ετσι , σκετο το deb πακετο αν εγκαταστησεις , οταν κανεις "apt search viber" θα πρεπει να το εμφανιζει ως εγκατεστημενο με τον χαρακτηρισμο "local , installed".
Eγω προτεινω επανεγκατασταση , και σβησε τους κρυφους φακελους που σου γραψε και ο dancer , να ειναι απο το μηδεν η δουλεια ολη.

Επεξ/σία από mphxths

Κοινοποιήστε αυτήν την ανάρτηση


Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες

Προσπαθώ να ξανα εγκαταστήσω το deb αρχείο, μου βγάζει το σφάλμα μ

The following packages have unmet dependencies:viber: Depends: libssl1.0.0 but it is not installable

 

Το ίδιο μου έβγαζε και την πρώτη φορά, εκτέλεσα τις εντολές που έγραψα στο πρώτο ποστ αλλά στην πρώτη βγάζει το εξής μήνυμα

HTTP request sent, awaiting response... 404 Not Found

2020-06-19 19:05:31 ERROR 404: Not Found.

 

Άρα δεν προχωράει η εκτέλεση του Deb αρχείου προς εγκατάσταση.

Θέλω να εγκαταστήσω την εφαρμογή μέσω flatpak απλά για να κάνω την δουλειά μου, αλλά είμαι πολύ κολλημένςο αυτή τη στιγμή για να το αφήσω να περάσει έτσι, θέλω να κάνω πληρη εγκατάσταση στο άλλο.

Επίσης, και τις μεθόδους που βρίσκω στο google για διαγραφή των συντομεύσεων από τα shortcuts του gnome (εστω να μην το βλέπω ρε παιδί μου...) δεν λκαταφέρνω κάτι. Μπαίνω στο local/share/applications και δεν υπάρχει.

Στις εντολές dpkg-list κτλ δεν βγάζει τπτ σχετικό με viber, ούτε με synaptic manager βρίσκει κάτι, θα τρελαθώ τελείως, δλδ που σκ@τ@ το έκανε αγκατάσταση.

 
 

Κοινοποιήστε αυτήν την ανάρτηση


Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες
Δημοσ. (επεξεργασμένο)

Στο πρώτο σου μήνυμα αναφέρεις ότι κατέβασες το αρχείο libssl1.0.0, με την εντολή wget. Κατά πάσα πιθανότητα θα βρίσκεται στο φάκελο του χρήστη σου. Κάνε διπλό κλικ πάνω του και θα ανοίξει το παράθυρο της εφαρμογής gdebi(αυτό γίνεται τουλάχιστον σε μένα που είμαι σε pop_os 20.04) απ' όπου μπορείς να το εγκαταστήσεις. Μετά κάνε το ίδιο στο αρχείο deb του viber. Χρειάζεται δηλαδή να εγκατασταθεί το libssl πρώτα και μετά το viber. Αυτό σου λέει το μήνυμα

EDIT:

σχετικά με τα shortcuts, βρίσκονται στον φάκελο /usr/share/applications, αλλά για να διαγράψεις από εκεί θέλεις δικαιώματα root. Αυτό μπορεί να γίνει βέβαια εύκολα στο pop os. Κάνεις δεξί κλικ στον φάκελο αυτό(σε κενό χώρο) και επιλέγεις το "Άνοιγμα ως Διαχειριστής". Θα σου ζητήσει τον κωδικό και μετά θ' ανοίξει ένα παράθυρο με δικαιώματα διαχειριστή. Από εκεί μπορείς να διαγράψεις ότι θέλεις.

EDIT2:

Μόλις πρόσεξα ότι δεν έχεις κατεβάσει τελικά το libssl(το δοκίμασα κι εγώ και δε βρίσκει τη σελίδα για να κατέβει). Οπότε μάλλον δεν εγκαταστάθηκε ποτέ το deb του viber και γι' αυτό δεν το βρίσκεις πουθενά. Το libssl το βρήκα εδώ:

http://security.ubuntu.com/ubuntu/pool/main/o/openssl1.0/libssl1.0.0_1.0.2n-1ubuntu5.3_amd64.deb

κατέβασέ το και κάνε τα πάραπάνω.

Επεξ/σία από dancer_69

Κοινοποιήστε αυτήν την ανάρτηση


Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες
Δημοσ. (επεξεργασμένο)
Αναφορά σε κείμενο

δλδ που σκ@τ@ το έκανε αγκατάσταση.

Στο /opt

Αν ανοιξεις το deb αρχειο με τον archiver του συστηματος σου θα δεις δυο tar, στο data tar το ανοιγεις και βλεπεις τα dir τα οποια μπαινεις, ε στα αντιστοιχα του συστηματος σου θα βρεις την εφαρμογη, εικονιδια κτλ

Επεξ/σία από Kebab

Κοινοποιήστε αυτήν την ανάρτηση


Σύνδεσμος στην ανάρτηση
Κοινοποίηση σε άλλες σελίδες

Δημιουργήστε έναν λογαριασμό ή συνδεθείτε για να σχολιάσετε

Πρέπει να είστε μέλος για να αφήσετε σχόλιο

Δημιουργία λογαριασμού

Εγγραφείτε με νέο λογαριασμό στην κοινότητα μας. Είναι εύκολο!

Εγγραφείτε για έναν νέο λογαριασμό

Σύνδεση

Έχετε ήδη λογαριασμό; Συνδεθείτε εδώ.

Συνδεθείτε τώρα
Συνδεθείτε  
×
×
  • Δημιουργία νέου...

Χρήσιμες πληροφορίες

Με την περιήγησή σας στο insomnia.gr, αποδέχεστε τη χρήση cookies που ενισχύουν σημαντικά την εμπειρία χρήσης.